MediathekView funktionert auch mit neuem Java



  • MediathekView 13.0.6 habe ich mit Java 11 zum Laufen gebracht.
    Bei MediathekView 13.2.1 funktioniert das nicht mehr, weil die Entwickler
    die Warnmeldung anzeigt, dass MediathekView nur mit Java 8 funktioniert.
    Könnt ihr bitte diese Warnmeldung wieder entfernen?
    Folgendermaßen habe ich MediathekView zum Laufen gebracht:

    • Java 11 installiert.
    • Die entsprechende SDK - Zip-Datei von JavaFX ( https://gluonhq.com/products/javafx/ ) herunterladen und entpacken.
    • Den folgenden Befehl starten:
      java --module-path /home/user/Downloads/javafx-sdk-11.0.2/lib --add-modules=javafx.controls -jar /usr/share/mediathekview/MediathekView.jar
      (Die Pfade zu JavaFX und der JAR-Datei müssen angepasst werden…)

  • Entwickler

    @gjw nein die Meldung wird nicht entfernt weil sie nicht umsonst da ist. Ich werde mir schon etwas dabei gedacht haben.
    Auch wenn du meinst das es gerade mit Java 11 bei dir startet bedeutet es nicht das es auch fehlerfrei funktioniert.



  • Ich habe jetzt den Quelltext selbst kompiliert, inklusive kleinerer Änderungen, damit das ganze unter OpenJDK 11 kompiliert und läuft. Die oben erwähnte Meldung, habe ich natürlich bei mir entfernt. MediathekView funktioniert mit Java 11.


  • Entwickler

    @gjw wenn du den Develop branch nimmst funktioniert es definitiv. Der master branch ist 13.2.1 und funktioniert auf den ersten Blick. Aber je nachdem welche Filtereinstellungen geklickt werden wird das zu exceptions und dem hängen der App führen. Aber wenn es bei dir funktioniert und du damit glücklich bist herzlichen Glückwunsch. 13.3 wird das von uns erste Release sein was Java 11 unterstützt.



  • Na wenn das so ist, werde ich wohl zu der Develop branch welchseln. Danke für den Tipp. Es ist gut, dass ihr an der Java 11-Unterstützung arbeitet.


Log in to reply
 

59
Online

3.2k
Users

2.5k
Topics

15.5k
Posts